Package Base Details: lib32-nvidia-utils-beta

Git Clone URL: https://aur.archlinux.org/lib32-nvidia-utils-beta.git (read-only)
Submitter: IncredibleLaser
Maintainer: Det
Last Packager: Det
Votes: 136
Popularity: 2.289482
First Submitted: 2008-08-30 16:22
Last Updated: 2016-06-13 18:08

Latest Comments

AnAkkk commented on 2016-04-11 09:34

Did anyone manage to get Vulkan to work on an optimus laptop?

zebulon commented on 2016-04-08 06:54

To remove the conflict, edit the PKGBUILD, line 64:

- conflicts=('lib32-libgl' 'lib32-nvidia-libgl' 'lib32-mesa<10.1.0-2' 'lib32-libglvnd')
+ conflicts=('lib32-libgl' 'lib32-nvidia-libgl' 'lib32-mesa<10.1.0-2')

This is the edit used in the 64-bit package.

juston_li commented on 2016-04-08 04:38

pkgrel 2 didn't actually remove the conflict for lib32

It's fixed in the non lib32 packages though
Thanks!

lubosz commented on 2016-04-01 23:00

Should conflict with and provide lib32-libglvnd

spjoe commented on 2016-03-31 20:20

please add conflict lib32-libglvnd

Det commented on 2016-01-10 22:33

You mean 358.16-1 -> 361.16-2? I didn't disable anything. That's a change in the driver itself.

orlfman commented on 2016-01-10 21:26

361.16-2 fixes the segfault crashing of all gui programs on broadwell and skylake systems and fixes the segfault crashing of steam even if you did the work around with disabling lock-elision support in glibc.

Det commented on 2015-07-29 06:23

352.30 — Changelog: https://devtalk.nvidia.com/default/topic/860119/

✔ Added support for the following GPU:
   ✓ Tesla K80
   ✓ GeForce 910M

✔ Fixed a bug that caused poor video post-processing performance in VDPAU when operating on a large number of video streams simultaneously.
✔ Updated nvidia-installer to use modprobe(8) when leaving the NVIDIA kernel module loaded after installation, instead of insmod(8) or libkmod. This allows the kernel module to honor any configuration directives that apply to it in /etc/modprobe.d when it is loaded.
✔ Fixed a bug that allowed console messages from the Linux kernel to be drawn over the user interface of nvidia-installer.

Det commented on 2015-04-14 13:33

349.16: http://www.nvidia.com/download/driverResults.aspx/84043

Det commented on 2015-03-25 18:13

349.12: https://devtalk.nvidia.com/default/topic/821171

Det commented on 2015-02-26 09:31

346.47 — Changelog: http://www.nvidia.com/download/driverResults.aspx/82252/en-us

• Added support for the following GPUs:
   Quadro K620M
   Quadro K2200M
   GeForce GTX 965M
• Fixed a bug that could cause rendering corruption in GLX clients using PBOs and/or VBOs when using GLX indirect rendering.
• Fixed a bug that caused Xinerama layouts which included X screens with 'Option "UseDisplayDevice" "none"' to be represented incorrectly in the nvidia-settings control panel.
• Fixed a bug that could cause glXSwapBuffer() to block for longer than necessary in multi-threaded GLX applications using the GLX_NV_delay_before_swap extension.
• Fixed a bug that caused OpenGL applications using the NV_path_rendering extension to crash after a modeswitch event.
• Fixed a bug that caused DisplayPort audio to stop working after monitors are hotplugged.

Det commented on 2015-01-17 10:39

Well, there's just one PKGBUILD for them all. Fixed.

craftyguy commented on 2015-01-17 03:56

All of the PKGBUILD files for lib32-nvidia-*-beta 346.35-1 are busted, there's an extra space at the end of the md5 checksum that causes the checksum test to fail:

md5sums_x86_64=('d2b8f7f90ef5037f03f94519f9809511 ')

Should be:

md5sums_x86_64=('d2b8f7f90ef5037f03f94519f9809511')

Det commented on 2014-12-08 20:42

346.22 - Changelog: http://www.nvidia.com/download/driverResults.aspx/80653

• Added support for X.Org xserver ABI 19 (xorg-server 1.17).
• Improved compatibility with recent Linux kernels.
• Fixed a bug that prevented internal 4K panels on some laptops from being driven at a sufficient bandwidth to support their native resolutions.
• Fixed a regression that prevented the NVIDIA kernel module from loading in some virtualized environments such as Amazon Web Services.
• Fixed a regression that caused displays to be detected incorrectly on some notebook systems.
• Fixed a bug that could cause X to freeze when using Base Mosaic.
• Fixed a regression that prevented the NVIDIA X driver from recognizing Base Mosaic layouts generated by the nvidia-settings control panel.

Det commented on 2014-08-08 02:59

Starts fine here.

Vash63 commented on 2014-08-07 16:48

Not sure if it's a problem with the upstream software or Steam, but Steam won't run for me with 343.13-1. Segfaults every time with "Assertion Failed: File Exists"

Det commented on 2014-07-09 11:58

340.24 Changelog: http://www.nvidia.com/download/driverResults.aspx/76884

I switched the source to the HTTP mirror, which gives me pretty much the full speed of ~10MB/s, while the FTP one is seemingly capped at 886 kB/s (many times much less). The web interface will still show the FTP mirror (overridden in the .AURINFO), as it gives you a much easier access to all the driver downloads.

Det commented on 2014-04-08 15:53

337.12 Changelog: http://www.nvidia.com/download/driverResults.aspx/74861/en-us

Det commented on 2014-03-09 18:48

When receiving the complaint about the existing files, just pass the '-f' flag to Pacman:

lib32-nvidia-libgl-beta: /usr/lib32/libEGL.so exists in filesystem
lib32-nvidia-libgl-beta: /usr/lib32/libGLESv1_CM.so exists in filesystem
lib32-nvidia-libgl-beta: /usr/lib32/libGLESv2.so exists in filesystem

Det commented on 2014-03-09 18:48

When receiving the complaint about the existing files, just pass the '-f' flag to Pacman:

lib32-nvidia-libgl-beta: /usr/lib/libEGL.so exists in filesystem
lib32-nvidia-libgl-beta: /usr/lib/libGLESv1_CM.so exists in filesystem
lib32-nvidia-libgl-beta: /usr/lib/libGLESv2.so exists in filesystem

Det commented on 2014-03-09 18:36

334.21-2 - Moved the EGL/GLES symlinks to lib32-nvidia-libgl-beta

See: https://projects.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/mesa&id=aa6bfe92f4cd15ae418f511c671f87fcc1599fc9

Det commented on 2014-02-23 13:56

Added the EGL/OpenGL ES libraries: http://www.phoronix.com/scan.php?page=news_item&px=MTU5NjI. The necessary symlinks only replace those of lib32-mesa in post_install/upgrade, for now.

There's also a bunch of other stuff included, most of which are mentioned in FS#38604 (https://bugs.archlinux.org/task/38604).

Det commented on 2013-06-27 13:01

Updated and split into 'lib32-nvidia-utils-beta', 'lib32-nvidia-libgl-beta' and 'lib32-opencl-nvidia-beta'.

Also available through 'nvidia-full-beta' and 'nvidia-full-beta-all' when setting the "_lib32=1" option.

E: Well, links would be nice: https://aur.archlinux.org/packages/nvidia-full-beta/, https://aur.archlinux.org/packages/nvidia-full-beta-all/

Det commented on 2013-06-27 13:00

Updated and split into 'lib32-nvidia-utils-beta', 'lib32-nvidia-libgl-beta' and 'lib32-opencl-nvidia-beta'.

Also available through 'nvidia-full-beta' and 'nvidia-full-beta-all' when setting the "_lib32=1" option.

adytzu2007 commented on 2013-05-02 18:53

319.17 available at http://us.download.nvidia.com/XFree86/Linux-/319.17

Det commented on 2013-04-04 10:19

Needs to provide lib32-nvidia-libgl.

misc commented on 2013-02-26 21:28

PKGBUILD needs to be resynced with community's lib32-nvidia-utils.

sl1pkn07 commented on 2013-01-24 09:37

for example, is possible build wine from git with OpenCL support (32 and 64 bits)

my point in commentary in lib32-libcl only refeer is better use libcl-i686 source instead download the nvidia drivers. +/-40MB instead 8KB. (remember not need build libraries form source, the libraries is pre-compiled by nvidia)

in case of nvidia-beta drivers need re-download 4 times in total, one for nvidia-beta kernel module(this is need yes or yes, nedd build in machine), other for nvidia-utils-beta, other for lib32-nvidia-utils-beta and other for lib32-libcl(if install this meke error in dependencies, because libopencl.so.x.x include in lib32-nvidia-utils-beta)... but nvidia-beta is stored in AUR (no store pre-compiled packages)

Before yesterday upload to AUR single package(without split) with all nvidia-beta blob (kernel module by dkms + nvidia-utils + lib32-nvidia-utils + opencl libs/ICD), but @gtmanfred delete by: "this is completely un necessary, please don't litter the aur with more
trash"... i not sure, but save 120MB on dowloads and compress time...

nevermind..

greetings and sorry for waste your time

ngoonee commented on 2013-01-22 23:51

lib32-libcl has no package requiring it, so I don't see a point in doing that. Just install this package, no idea why you'd need libcl standalone actually. Also, just saw your comment on lib32-libcl package comments, its better to build packages than to repackage packages (those lib32 packages which repackage have been getting converted slowly), so your comment does not make sense.

sl1pkn07 commented on 2013-01-22 11:47

oh my..., fail me. lib32-nvidia-utils[extra] don't include libopencl.so.1.0.0.

in any case, you include this library in this package, maybe make conflicts if install lib32-libcl from AUR (the md5 for both files is identical, independent by version of drivers use)

greetings

ngoonee commented on 2013-01-21 23:25

libcl is different from nvidia-utils. Why should they provide/conflict? nvidia-utils from repo and libcl from repo do not provide/conflict.

sl1pkn07 commented on 2013-01-21 12:17

of course, this is applicable in lib32-nvidia-utils

sl1pkn07 commented on 2013-01-21 12:15

because exist 32/64bits package https://www.archlinux.org/packages/extra/x86_64/libcl/ and lib32-libcl (AUR) https://aur.archlinux.org/packages/lib32-libcl/

the add lib32-libcl in provides/conflicts it's for homogeneus name packages
and prevent conflicts between nvidia branches (beta/official)

ngoonee commented on 2013-01-21 00:18

@Sl1pkn07 - why? lib32-nvidia-utils does not.

sl1pkn07 commented on 2013-01-19 20:26

please add in provides/conflicts "lib32-libcl"

greetings

ngoonee commented on 2012-12-28 02:50

This is the download link used in the stock package which I prefer to stick to as much as possible (reduces the lines I need to compare in vimdiff). Also I've found the us.download.nvidia.com mirror to be sometimes a bit slow updating AND problematic with connectivity (then again, I'm on the other side of the globe). Feel free to use it yourself though.

flyn commented on 2012-12-27 19:37

The download link in the PKGBUILD is really slow, the HTTP download is much faster: http://us.download.nvidia.com/XFree86/Linux-x86/313.09/NVIDIA-Linux-x86-313.09.run

ngoonee commented on 2012-11-15 02:31

Change implemented, hopefully it works. Updated, as well.

sl1pkn07 commented on 2012-11-14 14:02

change

_soname="$(dirname ${_lib})/$(readelf -d "$_lib" | sed -nr 's/.*Library soname: \[(.*)\].*/\1/p')"

to

_soname="$(dirname ${_lib})/$(LANG=C readelf -d "$_lib" | sed -nr 's/.*Library soname: \[(.*)\].*/\1/p')"

to fix create soname links in non-english system

greetings

Anonymous comment on 2011-10-03 20:41

Thanks premiso, I've updated my PKGBUILD and things seems to work OK.

Anonymous comment on 2011-10-02 16:51

Thanks to gun26 for that information. Wine kept seg faulting on me. I took the liberty to post a good PKGBUILD that works here http://pastebin.com/kHFXzUq1 This has the updated file location and updated MD5 sum as long as the version updates. Should build and run just fine!

Anonymous comment on 2011-08-02 16:43

Updated & synced with [extra]'s PKGBUILD. Thanks

Frostbyrne commented on 2011-07-30 18:34

gun26 I have the same issue but with wine, I figured it was with the new version not with the pkgbuild. Thanks for the better pkg

gun26 commented on 2011-07-30 17:22

I can't tell what's wrong with it, but a lib32-nvidia-utils-beta built with this PKGBUILD causes Google Earth to segfault. If I instead build with a PKGBUILD copied from Arch's lib32-nvidia-utils, bumping the version number and renaming as necessary: http://pastebin.com/QAVVW1qZ Google Earth works with the resulting package. Which brings up the point, is there a compelling reason why this PKGBUILD differs so dramatically from the Arch one for the non-beta package? It does make troubleshooting harder.

Anonymous comment on 2011-07-24 10:01

alexcortes: there are no lib32-libcl or lib32-opencl-nvidia packages, so this library can't depend on them. As for nvidia-utils-beta, the libraries are provided directly by the package, so it provides and conflicts with opencl-nvidia and libcl.

alexcortes commented on 2011-07-24 04:48

Arch Team added "opencl-nvidia" and "libcl" as dependencies for nvidia-utils.

alexcortes commented on 2011-07-24 04:48

Arch Team added "opencl-nvidia" and "libcl" as dependencies for nvidia-utils.

alexcortes commented on 2011-07-24 04:48

Arch Team added "opencl-nvidia" and "libcl" as dependencies for nvidia-utils.

Anonymous comment on 2011-07-13 19:24

Thanks jskier, I fixed the PKGBUILD.

jskier commented on 2011-07-13 18:09

Doesn't appear to work with libvdpau and flash from multilib. Browser debug complains about Nvidia libvdpau not being where it should be. The release version of this in extra works properly.

Anonymous comment on 2011-06-10 15:50

Thanks josephgbr, I haven't noticed Det's comment before.

rafaelff commented on 2011-06-10 00:14

Det is right. Also, LICENSE is missing and namcap reports that the dependencies "lib32-zlib" and "lib32-gcc-libs" were detected and not included.
Here is PKGBUILD with these fixes: http://pastebin.com/qpJxEejz

Det commented on 2011-04-14 12:26

Btw. why is this package using/downloading the x86_64 Nvidia blob instead of the x86 one (as in [multilib])? The 64-bit blob is 19 MB bigger.

Anonymous comment on 2011-03-08 13:06

Fixed. The libnvidia-ml is not included in 32bit binaries. I didn't verify that before updating, my apologies.

ngoonee commented on 2011-03-08 11:15

Oh, forgot to mention, removing libnvidia-ml from line 40 fixes it (obviously).

ngoonee commented on 2011-03-08 11:14

install: cannot stat `32/libnvidia-ml.so.270.30': No such file or directory. Doesn't exist in 32/ subdir, only in the 64-bit root.

Anonymous comment on 2010-11-10 13:52

Updated to 260.19.21

Anonymous comment on 2010-11-09 22:20

ciembor: This is yaourt output, I think. Not related to this package at all.

Anonymous comment on 2010-11-09 22:10

==> Enter #'s (separated by blanks) of packages to be installed

What the hell is that? I think someone forgot about usability :>.

beroal commented on 2010-10-09 22:05

I suspect there is an incompatibility between 260.19.06 and Windows programs using OpenGL under wine. See https://bbs.archlinux.org/viewtopic.php?pid=838226 .

Anonymous comment on 2010-08-29 23:51

Updated to 256.52 and improved according to the multilib scheme.

Det commented on 2010-08-29 14:39

This package working is not the point. The point is having a one sane place for all the lib32-packages.

beroal commented on 2010-08-28 09:41

2 ngoonee:
Do we really need to fix a working thing?

ngoonee commented on 2010-08-28 01:04

Please fix to the new [multilib] scheme =). Here's what I tried:-http://pastebin.com/gsf6msAs

Anonymous comment on 2010-07-28 16:35

Fixed, thank you!

ngoonee commented on 2010-07-28 06:30

Please provide lib32-nvidia-utils=${pkgver}-${pkgrel}, for example foldingathome-gpu-nvidia needs it.

Anonymous comment on 2010-06-19 18:10

Updated to 256.35 and fixed segfault

Anonymous comment on 2010-06-07 21:25

Here's my pkgbuild that supplies both regular nvidia-utils and the 32bit pkg: http://aur.archlinux.org/packages.php?ID=37902

Anonymous comment on 2010-06-06 05:38

I was getting segfaults with all 32bit opengl applications. It turns out that I needed to get the 32bit libraries from the x86_64 nvidia package that includes compat32... check out my thread: http://bbs.archlinux.org/viewtopic.php?id=98049

danym commented on 2010-06-04 15:42

Segfault error with googleearth with 256.29. Found nothing on nvidia forum about that. Any hint??

Berseker commented on 2010-06-01 09:47

xstatic same problem, with google-earth.

Anonymous comment on 2010-05-29 04:12

Anyone else getting segfaults from libGL?

fettouhi commented on 2010-05-28 06:11

bin32-wine is broken with this latest beta driver. STEAM for example won't launch at all. It will update itself but the login screen does not appear.

Anonymous comment on 2010-05-22 15:05

Updated to 256.25

Anonymous comment on 2010-04-24 12:23

Updated to 195.36.24

I've cleaned up the PKGBUILD and sync it with nvidia-utils-beta so that it provides all libraries including symlinks.